## gnome-session 46.0

=== debian/changelog ===
gnome-session (46.0-8ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Remove Recommends: fonts-inter-variable
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 11:23:22 -0400

gnome-session (46.0-8) unstable; urgency=medium

  * Team upload
  * d/p/gnome-session-wrapper-Avoid-running-as-a-subprocess.patch:
    Add proposed patch to avoid an excess subprocess in the wrapper script.
    This fixes the gnome-settings-daemon 47~rc test suite.

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Sep 2024 13:31:43 +0100

gnome-session (46.0-7ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Have gnome-session depend on libjxl-gdk-pixbuf
  * Split the Ubuntu on Xorg session to a separate package:
    ubuntu-session-xsession. Have ubuntu-session Recommend that package
  * Drop obsolete Breaks/Replaces
  * Drop Recommends: fonts-inter-variable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 17:39:42 -0400

gnome-session (46.0-7) unstable; urgency=medium

  * Remove patch to revert portal change now that Debian Testing has
    xdg-desktop-portal-gnome 46

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 17:24:37 -0400

gnome-session (46.0-6) unstable; urgency=medium

  * Depend on fonts-cantarell again (Closes: #1078434)


=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-migrations,
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.46.0),
               libgnome-desktop-3-dev (>= 3.34.2),
               libgtk-3-dev (>= 3.22.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-dev (>= 209),
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson (>= 0.53.0),
               systemd-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
Homepage: https://wiki.gnome.org/Projects/SessionManagement

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         libjxl-gdk-pixbuf,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Recommends: gnome-session-xsession
Suggests: desktop-base,
          gnome-keyring
Provides: x-session-manager
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-xsession
Breaks: gnome-session (<< 46.0-4~)
Replaces: gnome-session (<< 46.0-4~)
Architecture: all
Depends: gnome-session (= ${binary:Version})
Provides: x-session-manager
Description: GNOME Session Manager - GNOME on Xorg session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the GNOME on Xorg
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-startup-applications
Architecture: any
Depends: gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (>= ${source:Version}),
         ${misc:Depends}
Breaks: gnome-session-bin (<< 3.28.0-0ubuntu4~),
        gnome-session-common (<< 3.28.0-0ubuntu4~)
Replaces: gnome-session-bin (<< 3.28.0-0ubuntu4~),
          gnome-session-common (<< 3.28.0-0ubuntu4~)
Description: Startup Applications manager for GNOME
 The Startup Applications Preferences app allows configuring
 applications to run automatically when logging in to your desktop.
 This app complies with the FreeDesktop.org Desktop Application Autostart
 Specification so it will work even if your chosen desktop is not GNOME.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xdg-desktop-portal-gnome,
         xwayland,
         yaru-theme-gnome-shell (>= 20.04.3~),
         ${misc:Depends}
Recommends: python3,
            session-migration,
            ubuntu-session-xsession
Provides: x-session-manager
Description: Ubuntu session with GNOME Shell
 This package contains the required components for a GNOME session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: ubuntu-session-xsession
Architecture: all
Depends: ubuntu-session (= ${binary:Version})
Breaks: ubuntu-session (<= 46),
Replaces: gnome-session (<= 3.29.90-1ubuntu1)
Provides: x-session-manager
Description: Ubuntu on Xorg session with GNOME Shell
 This package contains the required components for a GNOME on Xorg session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: unity-session
Architecture: all
Depends: dbus-user-session,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         systemd (>= 231-9git1~),
         unity,
         unity-settings-daemon,
         ${misc:Depends}
Recommends: gtk3-nocsd,
            rhythmbox-plugin-zeitgeist,
            session-migration,
            zeitgeist-datahub
Provides: x-session-manager
Description: Unity session, previous ubuntu default experience.
 This package contains the required components for the Unity session.
 It can be started from a display manager such as LightDM.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-startup-applications,
            default-logind | logind
Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

GS_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[~.].*//')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true

execute_before_dh_install:
	cd debian/tmp/usr/share; \
	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
		echo X-Ubuntu-Gettext-Domain=gnome-session-$(GS_MAJOR_VERSION) >> "$$f"; \
	done

execute_after_dh_auto_build:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-session-$(GS_MAJOR_VERSION)-pot

execute_after_dh_auto_clean:
	rm -f po/gnome-session-$(GS_MAJOR_VERSION).pot

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## gnome-session 47.0.1

=== debian/changelog ===
gnome-session (47.0.1-2ubuntu3) plucky; urgency=medium

  * No change upload to trigger a launchpad translations import

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Apr 2025 20:37:50 +0200

gnome-session (47.0.1-2ubuntu2) plucky; urgency=medium

  * Update d/p/ubuntu/dbus_request_shutdown.patch (LP: #2100965):
    The original implementation of the RequestReboot and RequestShutdown,
    introduced by this patch, were no longer working. This fixes it by
    simply relaying the call to Reboot and Shutdown methods, instead of
    nearly duplicating them.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 19 Mar 2025 15:57:10 +0100

gnome-session (47.0.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * gnome-mimeapps.list: Use Papers as default for the formats it supports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 17:14:06 -0500

gnome-session (47.0.1-2) unstable; urgency=medium

  * Move Depends: xwayland from gnome-session-bin to gnome-session
    (Closes: #1072342)
  * Remove Recommends: fonts-variable since it's currently unused

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 16:45:45 -0500

gnome-session (47.0.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Remove Recommends: fonts-inter-variable
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.


=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                libdbus-1-dev,
                libgl-dev,
                libgles-dev,
-               libglib2.0-dev (>= 2.46.0),
-               libgnome-desktop-3-dev (>= 3.34.2),
-               libgtk-3-dev (>= 3.22.0),
+               libglib2.0-dev,
+               libgnome-desktop-3-dev,
+               libgtk-3-dev,
                libice-dev,
-               libjson-glib-dev (>= 0.10),
+               libjson-glib-dev,
                libsm-dev,
-               libsystemd-dev (>= 209),
+               libsystemd-dev,
                libx11-dev,
                libxau-dev,
                libxcomposite-dev,
@@ -24,7 +24,7 @@
                libxrender-dev,
                libxt-dev,
                libxtst-dev,
-               meson (>= 0.53.0),
+               meson,
                systemd-dev,
                xmlto,
                xsltproc,
@@ -42,8 +42,8 @@
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
-         gnome-settings-daemon (>= 3.37.0),
-         gnome-shell (>= 3.37.91),
+         gnome-settings-daemon,
+         gnome-shell,
          libjxl-gdk-pixbuf,
          xdg-desktop-portal-gnome,
          xwayland,
@@ -66,7 +66,7 @@
 Breaks: gnome-session (<< 46.0-4~)
 Replaces: gnome-session (<< 46.0-4~)
 Architecture: all
-Depends: gnome-session (= ${binary:Version})
+Depends: gnome-session (= ${binary:Version}), ${misc:Depends}
 Provides: x-session-manager
 Description: GNOME Session Manager - GNOME on Xorg session
  The GNOME Session Manager is in charge of starting the core components
@@ -145,7 +145,7 @@
 Architecture: linux-any
 Depends: default-dbus-session-bus | dbus-session-bus,
          gsettings-desktop-schemas,
-         upower (>= 0.9.0),
+         upower,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-startup-applications,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dman=true
+		-Dman=true \
+		-Dx11=true
 
 execute_before_dh_install:
 	cd debian/tmp/usr/share; \

## gnome-session 48.0

=== debian/changelog ===
gnome-session (48.0-2) unstable; urgency=medium

  * Team upload
  * d/control, d/gbp.conf, d/watch: Set branch for testing/unstable
  * d/gnome-mimeapps.list: Prefer Papers for PDF etc., falling back
    to Evince if Papers is not installed.
    Since gnome-core_1:49+1, our metapackages install Papers rather
    than Evince.
    Papers doesn't support some document formats that Evince did, like
    Postscript and DVI. Continue to prefer only Evince for those.
    (Closes: #1115704)
  * d/gnome-mimeapps.list: Prefer Showtime for videos, falling back
    to Totem if Showtime is not installed.
    Since gnome-core_1:49+1, our metapackages install showtime rather
    than totem.
    showtime is only a file-based video player and isn't designed to
    play audio, playlists or DVDs, so continue to refer to only totem
    for the formats not supported by showtime.
  * d/gnome-mimeapps.desktop: Prefer org.gnome.Yelp.desktop for help
    files.
    The .desktop file was renamed in version 49, which is currently in
    unstable and should migrate to testing soon. Keep yelp.desktop as
    a fallback for now, in case its migration gets delayed.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Sep 2025 11:49:02 +0100

gnome-session (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove subprocess patch: applied in new release
  * debian/gnome-session.docs: README → README.md
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 14:41:04 -0400

=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libgnome-desktop-3-dev,
               libgtk-3-dev,
               libice-dev,
               libjson-glib-dev,
               libsm-dev,
               libsystemd-dev,
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson,
               systemd-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b debian/forky
Homepage: https://gitlab.gnome.org/GNOME/gnome-session

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon,
         gnome-shell,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Recommends: gnome-session-xsession
Suggests: desktop-base,
          gnome-keyring
Provides: x-session-manager
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-xsession
Breaks: gnome-session (<< 46.0-4~)
Replaces: gnome-session (<< 46.0-4~)
Architecture: all
Depends: gnome-session (= ${binary:Version}), ${misc:Depends}
Provides: x-session-manager
Description: GNOME Session Manager - GNOME on Xorg session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the GNOME on Xorg
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	48/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## gnome-session 49~alpha.1

=== debian/changelog ===
gnome-session (49~alpha.1-0ubuntu1) questing; urgency=medium

  * New upstream release
    - Fixes logout/shutdown (LP: #2118739)
  * d/p/u/remove_session_saving_from_gui.patch:
    - Drop because applied upstream
  * d/p/revert_remove_gnome_session_properties.patch:
    - Drop for moving to gnome-control-center
  * d/p/u/ubuntu-sessions.patch: Rework for new mesonfile
  * d/p: Refresh all other patches
  * d/control: Drop xorg sessions
  * d/control: Drop gnome-startup-applications, moving to gnome-control-center
  * d/control: Build-depends on gtk4 for fail-whale
  * d/control: Drop x11 build-depends
  * d/install: Drop removed hardware-compatibility script
  * d/install: Drop unused run-systemd-session script
  * d/install: Drop removed AUTHORS doc file
  * d/install: Rename systemd override for application scopes
  * d/install: Use gnome-mimeapps.list from upstream
  * d/install: Add ubuntu-mimeapps.list with Ubuntu-specific defaults

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 31 Jul 2025 16:46:26 +0200

gnome-session (48.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian.
    - Includes fix for shutting down GNOME Shell (LP: #2118739)
  * Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 25 Jul 2025 16:48:43 +0200

=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-migrations,
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libgnome-desktop-4-dev,
               libgtk-4-dev,
               libice-dev,
               libjson-glib-dev,
               libsm-dev,
               libsystemd-dev,
               meson,
               systemd-dev,
               xmlto,
               xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
Homepage: https://gitlab.gnome.org/GNOME/gnome-session

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon,
         gnome-shell,
         libjxl-gdk-pixbuf,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Suggests: desktop-base,
          gnome-keyring
Breaks: ubuntu-session-xsession (<< 49~)
Replaces: ubuntu-session-xsession (<< 49~)
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xdg-desktop-portal-gnome,
         xwayland,
         yaru-theme-gnome-shell (>= 20.04.3~),
         ${misc:Depends}
Recommends: python3,
            session-migration,
Breaks: ubuntu-session-xsession (<< 49~)
Replaces: ubuntu-session-xsession (<< 49~)
Description: Ubuntu session with GNOME Shell
 This package contains the required components for a GNOME session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~),
        gnome-startup-applications (<< 49~)
Replaces: gnome-startup-applications (<< 49~)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.

## gnome-session 49~beta

=== debian/changelog ===
gnome-session (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/data: Delete unused Unity files
  * d/p/u/support_autostart_delay.patch:
    - Drop patch because gnome-session is no longer autostarting services
      via desktop files
  * d/p: Rebase patches
  * d/control: Breaks gdm3 and gnome-initial-setup

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 05 Aug 2025 14:39:13 +0200

## gnome-session 49~rc

=== debian/changelog ===
gnome-session (49~rc-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/ubuntu-session.migrations: Remove reference to old unity migration script

  [ Alessandro Astone ]
  * New upstream release
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 16:30:31 +0200

=== debian/control ===
--- 
+++ 
@@ -82,6 +82,8 @@
          ${shlibs:Depends}
 Recommends: default-logind | logind
 Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~),
+        gdm3 (<< 49~beta),
+        gnome-initial-setup (<< 49~beta),
         gnome-startup-applications (<< 49~)
 Replaces: gnome-startup-applications (<< 49~)
 Description: GNOME Session Manager - Minimal runtime

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dman=true \
-		-Dx11=true
 
 execute_before_dh_install:
 	cd debian/tmp/usr/share; \
+	bash -c 'shopt -s nullglob; \
 	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
 		echo X-Ubuntu-Gettext-Domain=gnome-session-$(GS_MAJOR_VERSION) >> "$$f"; \
-	done
+	done'
 
 execute_after_dh_auto_build:
 	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-session-$(GS_MAJOR_VERSION)-pot

## gnome-session 49.0

=== meson_options.txt ===
option('deprecation_flags', type: 'boolean', value: false, description: 'use *_DISABLE_DEPRECATED flags')
option('systemduserunitdir', type: 'string', description: 'Directory for systemd user service files')
option('docbook', type: 'boolean', value: true, description: 'build documentation')
option('man', type: 'boolean', value: true, description: 'build documentation (requires xmlto)')
option('x11', type: 'boolean', value: false, description: 'enable x11 session support')
option('mimeapps', type: 'boolean', value: true, description: 'install default gnome-mimeapps.list')

=== debian/changelog ===
gnome-session (49.0-1ubuntu2) questing; urgency=medium

  * d/ubuntu-mimeapps.list: Default to Totem for media files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 01 Oct 2025 19:22:16 +0200

gnome-session (49.0-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125398).
    Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 14:02:44 +0200

gnome-session (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib
  * Remove gnome-session-xsession: it is no longer available

  [ Alessandro Astone ]
  * d/p: Refresh patches
  * d/control: Build-depends on gtk4 for fail-whale
  * d/control: Drop x11 build-depends
  * d/install: Drop removed hardware-compatibility script
  * d/install: Drop removed AUTHORS doc file
  * d/install: Rename systemd override for application scopes
  * d/install: Use gnome-mimeapps.list from upstream
  * d/control: Breaks gdm3 and gnome-initial-setup

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:52:47 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libdbus-1-dev,
                libgl-dev,
                libgles-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.82.0),
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libice-dev,
@@ -82,10 +82,10 @@
          ${shlibs:Depends}
 Recommends: default-logind | logind
 Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~),
-        gdm3 (<< 49~beta),
-        gnome-initial-setup (<< 49~beta),
-        gnome-startup-applications (<< 49~)
-Replaces: gnome-startup-applications (<< 49~)
+        gdm3 (<< 49),
+        gnome-initial-setup (<< 49),
+        gnome-startup-applications (<< 49)
+Replaces: gnome-startup-applications (<< 49)
 Description: GNOME Session Manager - Minimal runtime
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dman=true \
+		-Dman=true
 
 execute_before_dh_install:
 	cd debian/tmp/usr/share; \
